precision mediump float;

uniform sampler2D Tex0;
uniform sampler2D Tex1;

varying vec4 v_texcoord0;
varying vec4 v_texcoord1;

void main (void)
{
	float f = 10.5;
	float fa = 1.0;
	float Exp = 0.7;
	
	vec4 Tex0Color = pow(texture2D(Tex0, v_texcoord0.st), vec4(Exp));
	vec4 Tex1Color = texture2D(Tex1, v_texcoord1.st);
	Tex1Color.a = (Tex1Color.a -0.19);
	gl_FragColor = vec4(f*Tex1Color.a, f*Tex1Color.a, f*Tex1Color.a, fa*Tex0Color.a);
}

