precision mediump float;

uniform sampler2D Tex0;
uniform vec4 MaskColor;

varying vec4 v_texcoord0;
varying vec4 v_texcoord1;

void main()
{
    float alpha = texture2D(Tex0, v_texcoord0.st).a;
    gl_FragColor = vec4(alpha, alpha, alpha, alpha)*MaskColor;
}
