precision mediump float;

uniform sampler2D Tex0;
uniform sampler2D Tex1;

uniform vec4 color;

varying vec4 v_texcoord0;
varying vec4 v_texcoord1;

void main (void)
{
  vec4 Tex0Color = texture2D(Tex0, v_texcoord0.st);
  vec4 Tex1Color = texture2D(Tex1, v_texcoord1.st);
  gl_FragColor = Tex0Color * Tex1Color * color;
}

